Delete Product
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/products/{productId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find product with id prod_0a4934c50ddc5dbae",
"request_id": "v-0ae39cd7de8683dfd8",
"resource_id": "prod_0a4934c50ddc5dbae",
"resource_type": "product"
}Deletes a product and all related SKUs. This operation cannot be undone.
If the force parameter is set to false or not set at all, the product and all related SKUs will be moved to the bin.
DELETE
/
v1
/
products
/
{productId}
Delete Product
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/products/{productId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find product with id prod_0a4934c50ddc5dbae",
"request_id": "v-0ae39cd7de8683dfd8",
"resource_id": "prod_0a4934c50ddc5dbae",
"resource_type": "product"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Path Parameters
A Voucherify product ID or source ID.
Example:
"prod_3ttSkdxGuAfcv3"
Query Parameters
If this flag is set to true, the product and all related SKUs will be removed permanently. If it is set to false or not set at all, the product and all related SKUs will be moved to the bin. Going forward, the user will be able to create another product with exactly the same source_id.
Response
Returns no content if deletion is successful.
Last modified on February 19, 2026
Was this page helpful?
⌘I

